package com.hungraim.ltc.pojo.vo.account;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class AccountExportDetailListResp {

    /**
     * 适用机构名称
     */
    @Excel(name = "适用机构名称",width = 20)
    private String organName;

    /**
     * 护理机构名称
     */
    @Excel(name = "护理机构名称",width = 20)
    private String srvOrganName;

    @Excel(name = "失能人员",width = 20)
    private String realName;

   /* @Excel(name = "护理人员",width = 20)
    private String empName;*/
    /**
     * 结算月份
     */
    @Excel(name = "结算月份",width = 20)
    private String accountsTime;

    /**
     * 费用开始时间
     */
    @Excel(name = "费用开始时间",width = 20)
    private String accountsStartTime;

    /**
     * 费用结束时间
     */
    @Excel(name = "费用结束时间",width = 20)
    private String accountsEndTime;

    /**
     * 总费用
     */
    @Excel(name = "总费用")
    private String accountsAllCost;

    /**
     * 统筹费用
     */
    @Excel(name = "统筹支出")
    private String accountsOverallCost;

    /**
     * 个人支付
     */
    @Excel(name = "个人支付")
    private String accountsPersonalCost;

    @Excel(name = "已补费用")
    private String reissueAmount;

    @Excel(name = "已扣费用")
    private String deductionAmount;









}
