package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.account.ChPunchDetailsVO;
import com.hungraim.ltc.pojo.entity.account.ChServiceTypeDetailedVO;
import com.hungraim.ltc.pojo.entity.account.ChServiceTypeVO;
import com.hungraim.ltc.pojo.entity.disable.ChServiceTypeDetailed;
import com.hungraim.ltc.pojo.vo.disable.ChSrvTaskDetailVo;
import com.hungraim.ltc.pojo.vo.disable.DisableVO;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.vo.disable.PlaceOtherVO;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchRsp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author jiaguokai
 * ChSrvBuildBed
 */
@Mapper
@Repository
public interface BuildBedMapper extends BaseMapper<ChSrvBuildBed> {



    Page<BuildBedSearchRsp> searchOrgBed(Page<BuildBedSearchRsp> page, @Param("req") BuildBedSearchReq req);

    IPage<DisableVO> disableList(String organId, String organname, String tel,
                                 String srvmodename, String area, String city,
                                 String certicode, String applystatus, int pageNum, int pageSize);

    Page<ChSrvTaskDetailVo> chSrvTaskDetailQuery(Page<ChSrvTaskDetailVo> page,@Param("vo") ChSrvTaskDetailVo vo);

    ChPunchDetailsVO getsrvOrgan(Long taskDetailId);

    List<ChServiceTypeDetailedVO> getServiceTypeDetailed(@Param("taskDetailId")Long taskDetailId,@Param("certiCode")String certiCode,@Param("sevStarTime")String sevStarTime,@Param("sevEndTime")String sevEndTime,@Param("modeType")String modeType);

    List<ChServiceTypeVO> selectServiceTypeDetailed();

    String  selectModeTypeById(@Param("pId")Long pId);
}
